/*
 * pipe_file.h
 * Copyright (C) Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
 * 
 * wmlogut is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * simple-netaid is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * See the COPYING file. * 
 */
 

#ifndef __PIPE_FILE_H__
#define __PIPE_FILE_H__

#include <string>
#include <vector>
	
struct sbuf {
	char *buf;
	int bufsiz;
	int len;
};

class PipeFile
{
public:
	PipeFile();
	virtual ~PipeFile();
	
	std::vector<std::string> get_output(std::string);
};

#endif // __PIPE_FILE_H__
